#ifndef __qms85_h__
#define __qms85_h__
#include "qmx.h"


#define QMX_QMS85_GAIN_35mV		0
#define QMX_QMS85_GAIN_25mV		1
#define QMX_QMS85_GAIN_10mV		2
#define QMX_QMS85_GAIN_5mV		3
#define QMX_QMS85_GAIN_2_5mV	4

QMX_EXT QMX_API int __stdcall QMX_QMS85_SetAdcRate(HANDLE SD, BYTE Slot, double DRate, double *CRate);
QMX_EXT QMX_API int __stdcall QMX_QMS85_GetAdc(HANDLE SD, BYTE Slot, WORD Channel, WORD *Data);	// Async
QMX_EXT QMX_API int __stdcall QMX_QMS85_ManualBallance(HANDLE SD, BYTE Slot, WORD Channel, WORD Code);
QMX_EXT QMX_API int __stdcall QMX_QMS85_SetTable(HANDLE SD, BYTE Slot, WORD *Table, WORD TableLen, QMX_CC_F *CC); 
QMX_EXT QMX_API int __stdcall QMX_QMS85_AutoBalance(HANDLE SD, BYTE Slot, WORD *Table, WORD TableLen, QMX_CC_F *CC, WORD *BalanceCodes); 

#endif